## osmo-e1d 0.1.1

=== contrib/e1-prbs-test/Makefile ===
LIBOSMO_CFLAGS:=$(shell pkg-config --cflags libosmocore)
LIBOSMO_LIBS:=$(shell pkg-config --libs libosmocore)

CFLAGS=-O2 -g -Wall -Werror $(LIBOSMO_CFLAGS)
LIBS=$(LIBOSMO_LIBS)

all: e1-prbs-test ice40-e1-prbs-check

e1-prbs-test: main.o rx.o tx.o prbs.o utils.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

ice40-e1-prbs-check: ice40-rx.o rx.o prbs.o utils.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $^

clean:
	@rm -f e1-prbs-test ice40-e1-prbs-check *.o

=== debian/changelog ===
osmo-e1d (0.1.1) unstable; urgency=medium

  * Makefile.am: Don't put LIBS into CFLAGS

 -- Harald Welte <laforge@osmocom.org>  Thu, 02 Jul 2020 13:44:06 +0200

osmo-e1d (0.1.0) unstable; urgency=medium

  * debian/control: Add missing dependency to libusb-1.0-0-dev
  * debian: Fix packaging of libosmo-e1d
  * debian: Remove dependency to libosmo-abis; remove explicit libosmocore version

 -- Harald Welte <laforge@osmocom.org>  Wed, 01 Jul 2020 12:29:43 +0200

osmo-e1d (0.0.1) unstable; urgency=medium

  [ Harald Welte ]
  * initial debian package

 -- Harald Welte <laforge@osmocom.org>  Tue, 30 Jun 2020 18:24:51 +0100

=== debian/control ===
Source: osmo-e1d
Section: net
Priority: extra
Maintainer: Harald Welte <laforge@osmocom.org>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libosmocore-dev,
               libusb-1.0-0-dev,
               osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-e1d.git
Vcs-Browser: https://git.osmocom.org/osmo-e1d/
Homepage: https://projects.osmocom.org/projects/osmo-e1d

Package: osmo-e1d
Architecture: any
Multi-Arch: foreign
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
Description: osmo-e1d: Osmocom's E1 interface daemon

Package: libosmo-e1d0
Section: libs
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.

Package: libosmo-e1d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
	 libosmo-e1d0 (= ${binary:Version}),
	 libosmocore-dev,
Description: Development headers for the osmo-e1d library.

## osmo-e1d 0.2.0

=== debian/changelog ===
osmo-e1d (0.2.0) unstable; urgency=medium

  [ Harald Welte ]
  * migrate to proper allocated USB Product ID
  * add missing call to logging_vty_add_cmds() during startup
  * usb.c: Fix error introducing Tx underflows
  * Detect truncated reads on SOCK_SEQPACKET sockets
  * print E1DP Mode as string, not in numeric format
  * Use SOCK_STREAM sockets for E1_TS_MODE_RAW
  * Fix HDLC-FCS transmit side
  * _e1_rx_hdlcfs: const-ify input buffer argument
  * introduce concept of superchannel to data structures
  * actually implement the superchannel mode
  * Add new E1DP_CMD_LINE_CONFIG for switching channelized/superchannel
  * cosmetic: create HDLC specific sub-structure within e1_ts
  * implement buffering to chunks in E1->application direction
  * add comment about first byte of E1DP_MAGIC
  * make RAW read buffer size configurable (instead of hard-coded 160)
  * usb: Don't pass negative length values to e1_line_demux_in()
  * src/ctl.c: Log NOTICE messages whenever client send unexpected requests
  * e1-prbs-test: Add support for osmo-e1d
  * make sure a given timeslot can only be opened once (by default)
  * Use OSMO_FD_* instead of deprecated BSC_FD_*
  * vpair: fix writing config file with vpairs configured
  * usb: Increase number of transfers from 2 to 4
  * Add support for icE1usb interrupt endpoint error reporting
  * Add per-line rate counter group to count various errors
  * support for control endpoint requests to icE1usb to switch Rx/Tx mode
  * e1_line.c: Split multiplex + demultiplex into separate mux_demux.c
  * usb.c: Mark _e1_usb_open_device() as static
  * move usb.c function declarations to newly-created usb.h
  * Move e1d_find_intf + e1_intf_find_line to intf_line.c
  * vty: export vty_e1d + move e1d_vty_node to header file
  * Evaluate received E and A bits in TS0
  * Add new "osmo-e1gen" program.

  [ Oliver Smith ]
  * configure.ac: set -std=gnu11

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 24 Feb 2021 14:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libtool,
                pkg-config,
                python3-minimal,
-               libosmocore-dev,
+               libosmocore-dev (>= 1.5.0),
                libusb-1.0-0-dev,
-               osmo-gsm-manuals-dev
+               osmo-gsm-manuals-dev (>= 1.1.0)
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-e1d.git
 Vcs-Browser: https://git.osmocom.org/osmo-e1d/
@@ -24,7 +24,7 @@
 Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
-Package: libosmo-e1d0
+Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -37,6 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
-	 libosmo-e1d0 (= ${binary:Version}),
+	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.

## osmo-e1d 0.2.1

=== debian/changelog ===
osmo-e1d (0.2.1) unstable; urgency=medium

  * add README.md describing what this repository is about
  * e1d: fix ASSERT during "write terminal"

 -- Harald Welte <laforge@osmocom.org>  Fri, 26 Mar 2021 09:34:49 +0100

## osmo-e1d 0.2.2

=== debian/changelog ===
osmo-e1d (0.2.2) unstable; urgency=medium

  [ Harald Welte ]
  * e1d-prbs-test: Initialize libosmocore logging
  * ctl: properly set the timeslot mode in E1DP_CMD_TS_QUERY
  * make compile-time default logging configuration less verbose

  [ Pau Espin Pedrol ]
  * Use new stat item/ctr getter APIs
  * gitignore: Add configure~

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 18:10:15 +0100

## osmo-e1d 0.3.0

=== debian/changelog ===
osmo-e1d (0.3.0) unstable; urgency=medium

  * e1d: reliably detect EOF in _e1_ts_{read,write} (RAW mode)
  * e1d: reliably detect EOF (HDLC-FCS mode)
  * Introduce a #define for the maximum HDLC buffer size (264)
  * e1d-ts-pipe: Don't write more HDLC bytes than e1d supports
  * e1d: Add watchdog timer to detect dead lines / USB devices
  * update ice1usb_proto.h to current master

 -- Harald Welte <laforge@osmocom.org>  Sat, 01 Jan 2022 15:42:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libtool,
                pkg-config,
                python3-minimal,
-               libosmocore-dev (>= 1.5.0),
+               libosmocore-dev (>= 1.6.0),
                libusb-1.0-0-dev,
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-e1d.git
 Vcs-Browser: https://git.osmocom.org/osmo-e1d/

## osmo-e1d 0.4.0

=== debian/changelog ===
osmo-e1d (0.4.0) unstable; urgency=medium

  [ Harald Welte ]
  * Use the error counters for remote alarm + remote CRC error
  * Add support for icE1usb RAI interrupt error flag
  * cosmetic: Adhere osmocom coding style in for-loops
  * usb: Print failed USB isochronous packets
  * usb: Use libusb_status_str when logging INT EP error
  * make rate_counters work
  * update copyright statement
  * e1_{intf,line}_new: Allow caller to specify the numeric identifier
  * Allow configuration of interfaces/lines via VTY
  * GPS-DO support for icE1usb hardware
  * Proper libusb error reporting in all error paths
  * usb: rename 'size' to 'len' in callback functions
  * e1d.h: add #pragma once
  * cosmetic: Remove extra empty newlines from end of intf_line.c
  * intf_line.c: Make e1d_find_intf_by_usb_serial safe for empty string
  * cosmetic: curly braces around multi-line blocks
  * intf_line: Ensure unique rate counter group indexes
  * mux_demux.c: Use %zu for size_t
  * vty.c: Fix re-reading of config file after 'write file'
  * OCTOI: initial support for E1oIP forwarding
  * add example config files for octoi-server and octoi-client
  * RIFO (random in, first out) for IP->E1 direction
  * fix segfault on 'show octoi-server' if no server configured
  * vty: Print only applicable information during 'show line'
  * OCTOI: re-implement LINE_STAT_E1oIP_E1T_FIFO
  * octo: give rate_ctr / stat_items meaningful identifiers
  * Make use of libosmcoore cpu_sched_vty
  * Set rate_ctr_group name for each line
  * Fix stats exporter
  * octoi: Update RIFO depth also on dequeue
  * Add rate counters for number of frames muxed/demuxed (E1 side)
  * octoi: Add new rate-counter for out-of-order packets
  * e1d: stat_items for the GPS-DO related bits
  * octoi: Reset FIFO/RIFO when entering ACCEPTED state
  * octoi: Disconnect the link when >= 7500 underruns/s
  * rifo_test: print rifo_depth + rifo_frames on every IN/OUT
  * octoi: differentiate UNDERRUN from SUBSTITUTED in counters
  * e1oip: Rename e1oip:overflow to e1oip:e1o_overflow
  * e1oip: Add rate_ctr for IP->E1 RIFO overflows
  * octoi: Terminate connection on too high RIFO OVERFLOW rates
  * octoi: Fix client re-start after clock drift disconnect
  * octoi: add new counter every time a connection is accepted
  * e1oip: Add stat items for number of timeslots
  * cosmetic: remove dead code {fifo,rifo}_dump() functions
  * octoi: Support setting IP DSCP and socket priority via VTY
  * e1oip: fix line counter descriptions
  * e1oip: Add rate_ctr for rx + tx packet / byte count
  * octoi: only memcpy() if it is present in _octoi_tx_echo()
  * octoi: Send ECHO_REQ every 10s and update the related stat_item
  * e1oip: introduce #defines for BATCHING_FACTOR / PREFILL_COUNT
  * e1oip: Make batching-factor and prefill-frame-count configurable
  * update git URLs (git -> https; gitea)
  * README.md: Fix syntax for hyperlinks

  [ Sylvain Munaut ]
  * e1d/usb: Limit feedback EP transfer size to 3
  * e1d/usb: Use wMaxPacketSize to know maximum number of frames to send
  * build: Increase warnings
  * Fix a bunch of warning raised by the new build warning options
  * usb: Add warning for error during interrupt transfers
  * mux_demux: Shuffle functions around for consistency
  * mux_demux: In RAW mode, fill with dummy until first TX
  * contrib/e1-prbs-test: Delay the TX pipe fill data until first RX
  * RIFO: Minor typo/comment fixes
  * RIFO: Fix operator precedence issue in the math for bucket_for_fn
  * RIFO: Fix issue in frame number bounds checking
  * RIFO: Add a test for bounds checking
  * OCTOI: Fix the extension of 16b FN from packet to full 32b FN
  * octoi: Simple RX priming / pre-filling
  * rifo_test: Use a helper function for the rifo init
  * octoi: Fix frame_rifo_depth() function

  [ Oliver Smith ]
  * checkpatch.conf: new file

  [ Tobias Mädel ]
  * RIFO: fix frame_rifo_in check on frame number wrap-around
  * RIFO: add more thorough tests and a vetted test.ok file

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 29 Jun 2022 12:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libtool,
                pkg-config,
                python3-minimal,
-               libosmocore-dev (>= 1.6.0),
+               libosmocore-dev (>= 1.7.0),
                libusb-1.0-0-dev,
-               osmo-gsm-manuals-dev (>= 1.2.0)
+               osmo-gsm-manuals-dev (>= 1.3.0)
 Standards-Version: 3.9.8
-Vcs-Git: git://git.osmocom.org/osmo-e1d.git
-Vcs-Browser: https://git.osmocom.org/osmo-e1d/
+Vcs-Git: https://gitea.osmocom.org/retronetworking/osmo-e1d
+Vcs-Browser: https://gitea.osmocom.org/retronetworking/osmo-e1d
 Homepage: https://projects.osmocom.org/projects/osmo-e1d
 
 Package: osmo-e1d
@@ -40,3 +40,20 @@
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
+
+Package: libosmo-octoi0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: Library for the Osmocom Community TDMoIP network.
+
+Package: libosmo-octoi-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
+	 libosmo-octoi0 (= ${binary:Version}),
+	 libosmocore-dev,
+Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.5.0

=== debian/changelog ===
osmo-e1d (0.5.0) unstable; urgency=medium

  [ Oliver Smith ]
  * octoi_srv_fsm: fix implicit fall-through
  * gitreview: new file
  * doc/examples: only install osmo-e1d.cfg to /etc
  * contrib/spec: add /etc/osmocom/osmo-e1d.cfg

  [ Sylvain Munaut ]
  * usb: Add support for new GPSDO status field "Accumulated error"
  * Add osmo-e1gen to .gitignore
  * usb: Fix the length field of ICE1USB_INTF_SET_GPSDO_TUNE request
  * usb: Fix ICE1USB_INTF_SET_GPSDO_MODE request parameter
  * vty: Add option to disable GPS-DO loop and use manual tuning values
  * octoi: Prevent segfault on 'show octoi-clients if a client has no line
  * usb: Claim and set interface alt-setting only for used lines

  [ Harald Welte ]
  * support for e1-tracer hardware
  * ctl: Prevent clients from opening TS0
  * osmo-e1d-pipe: Add command line option for --force open of timeslot
  * usb.c: Bail out of e1-tracer doesn't accept set_configuration(2)
  * Differentiate between icE1usb and e1-tracer in log/vty output
  * osmo-e1d: Add the usual '-V' / '--version' command line argument
  * avoid segfault in 'show interface' of absent icE1usb
  * Add support of RPM package building via osmo-e1d.spec.in
  * Initial user manual for osmo-e1d
  * jenkins.sh: Support for building + publishing the manual
  * doxygen API documentation for libosmo-e1d
  * update .gitignore with files from manuals + doxygen
  * DAHDI trunkdev support

  [ arehbein ]
  * osmo-e1d: Transition to use of 'telnet_init_default'

  [ Christoph Lauter ]
  * Increasing max FIFO size for feature request 5875, adapting tests

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 11:57:43 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libtool,
                pkg-config,
                python3-minimal,
-               libosmocore-dev (>= 1.7.0),
+               libosmocore-dev (>= 1.8.0),
                libusb-1.0-0-dev,
-               osmo-gsm-manuals-dev (>= 1.3.0)
+               osmo-gsm-manuals-dev (>= 1.4.0)
 Standards-Version: 3.9.8
 Vcs-Git: https://gitea.osmocom.org/retronetworking/osmo-e1d
 Vcs-Browser: https://gitea.osmocom.org/retronetworking/osmo-e1d
@@ -41,7 +41,7 @@
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
 
-Package: libosmo-octoi0
+Package: libosmo-octoi1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -54,6 +54,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
-	 libosmo-octoi0 (= ${binary:Version}),
+	 libosmo-octoi1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0

=== debian/changelog ===
osmo-e1d (0.6.0) unstable; urgency=medium

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: set compat level to 10
  * systemd: depend on networking-online.target

  [ Philipp Maier ]
  * proto_clnt: fix function prototype
  * proto_clnt: close osmo-e1d control socket on connection loss
  * proto_clnt: use osmo_fd_close to close the socket on connection loss

  [ Harald Welte ]
  * Check return code of fcntl() in several plaaces
  * proto_srv: Fix file descriptor and memory leak in error paths
  * octoi: Fix missing check of osmo_fsm_register() return value
  * e1d-ts-pipe: Assert that osmo_fd_register() succeeds
  * octoi: Add force-send-all-ts mode

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 13:30:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: osmo-e1d
 Section: net
 Priority: extra
-Maintainer: Harald Welte <laforge@osmocom.org>
-Build-Depends: debhelper (>=9),
+Maintainer: Osmocom team <openbsc@lists.osmocom.org>
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                autotools-dev,
                autoconf,
@@ -10,7 +10,7 @@
                libtool,
                pkg-config,
                python3-minimal,
-               libosmocore-dev (>= 1.8.0),
+               libosmocore-dev (>= 1.9.0),
                libusb-1.0-0-dev,
                osmo-gsm-manuals-dev (>= 1.4.0)
 Standards-Version: 3.9.8
@@ -41,7 +41,7 @@
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
 
-Package: libosmo-octoi1
+Package: libosmo-octoi2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -54,6 +54,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
-	 libosmo-octoi1 (= ${binary:Version}),
+	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.2.eccf.202312152026

=== debian/changelog ===
osmo-e1d (0.6.0.2.eccf.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312182026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312222026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 22 Dec 2023 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312242026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 24 Dec 2023 20:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312252026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 25 Dec 2023 20:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312262026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 26 Dec 2023 20:26:41 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312272026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 27 Dec 2023 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312282026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 28 Dec 2023 20:26:40 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312292026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 29 Dec 2023 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312302026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 30 Dec 2023 20:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202312312026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202312312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 31 Dec 2023 20:26:40 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312302026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202401012026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202401012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 01 Jan 2024 20:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202312312026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202401022026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202401022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 02 Jan 2024 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401012026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202401032026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202401032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 03 Jan 2024 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401022026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.

## osmo-e1d 0.6.0.4.6b0f.202401042026

=== debian/changelog ===
osmo-e1d (0.6.0.4.6b0f.202401042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Jan 2024 20:26:37 +0000

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,14 @@
 Package: osmo-e1d
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401042026), ${misc:Depends}, ${shlibs:Depends}
 Description: osmo-e1d: Osmocom's E1 interface daemon
 
 Package: libosmo-e1d1
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401042026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Client library for talking to the Osmocom E1 interface daemon osmo-e1d.
 
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401042026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-e1d1 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the osmo-e1d library.
@@ -45,7 +45,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202401042026), ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library for the Osmocom Community TDMoIP network.
 
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly (= 202401032026), ${misc:Depends}, ${shlibs:Depends},
+Depends: osmocom-nightly (= 202401042026), ${misc:Depends}, ${shlibs:Depends},
 	 libosmo-octoi2 (= ${binary:Version}),
 	 libosmocore-dev,
 Description: Development headers for the Osmocom Community TDMoIP library.
